Summary:        GNOME User Documentation
Name:           gnome-user-docs
Version:        2.0.1
Release:	5.XOS.1
License:        FDL
Source:         gnome2-user-docs-%{version}.tar.bz2
Source2:        introduction-to-gnome.xml
Group:          Documentation
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Obsoletes:      gnome-users-guide

PreReq: scrollkeeper >= 0.3.10
PreReq: /usr/bin/scrollkeeper-update

%description
This package contains end user documentation for the GNOME desktop 
environment.

%prep
%setup -q -n gnome2-user-docs-%{version}

%build

## 1.91 tarball ships with a broken configure script
if test -x /usr/bin/autoconf-2.53; then
  autoconf-2.53
elif test -x /usr/bin/autoconf-2.52; then
  autoconf-2.52
elif test -x /usr/bin/autoconf; then
  autoconf
fi

## put in a fixed XML version
cp -f %{SOURCE2} introduction-to-gnome/C

%configure
make 

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

rm -r $RPM_BUILD_ROOT/var/scrollkeeper

#remove icons
rm -f $RPM_BUILD_ROOT/%{_datadir}/gnome/help/user-guide/C/figures/netscape_icon.png
%clean 
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update
exit 0

%postun
scrollkeeper-update
exit 0

%files
%defattr(-, root, root)
%{_datadir}/gnome
%{_datadir}/omf

%changelog
* Wed Oct 05 2005 X/OS Linux Team <xoslinux@xos.nl> 2.0.1-5.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on gnome-user-docs-2.0.1-5.src.rpm
  (md5sum of original source rpm: 3f369a645d72219adddfeb7e00023107).

* Mon Aug 29 2005 John (J5) Palmieri <johnp@redhat.com>
- fix refrence to datadir from ${_datadir} to %{_datadir}

* Fri Apr  8 2005 John (J5) Palmieri <johnp@redhat.com>
- Remove icons

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Dec 16 2002 Havoc Pennington <hp@redhat.com>
- add introduction-to-gnome.xml from CVS so the XML won't be broken

* Fri Dec 13 2002 Tim Powers <timp@redhat.com> 2.0.1-1
- update to 2.0.1

* Thu Aug  8 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0 stable release
- clean up uninstalled file warnings
- blow build root at start of install

* Mon Jun 24 2002 Owen Taylor <otaylor@redhat.com>
- Version 1.93, should fix #67207

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 20 2002 Havoc Pennington <hp@redhat.com>
- prereq scrollkeeper

* Mon Jun 17 2002 Havoc Pennington <hp@redhat.com>
- upgrade to gnome 2 docs
- clean up the spec file a bit

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in different environment

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- fix a scrollkeeper validation bug

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild


* Tue Apr 17 2001 Jonathan Blandford <jrb@redhat.com>
- Moved to red hat build system

* Thu Feb 22 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- de-uglification, and fixed the macros.

* Mon Nov 27 2000 Kenny Graunke <kwg@teleport.com>
- Initial cut
